aboutsummaryrefslogtreecommitdiff
path: root/local/bin/bitwarden-dmenu
diff options
context:
space:
mode:
authorCharles Cabergs <me@cacharle.xyz>2021-02-24 17:07:33 +0100
committerCharles Cabergs <me@cacharle.xyz>2021-02-24 17:07:33 +0100
commit468a789dbc4b1928c035d8590895efc533520a27 (patch)
tree74cb056c37eaa50cd50491a7665608488ed4feb1 /local/bin/bitwarden-dmenu
parentf9883d2c3b3699d91e98feeffd7eece546f7c57e (diff)
downloaddotfiles-468a789dbc4b1928c035d8590895efc533520a27.tar.gz
dotfiles-468a789dbc4b1928c035d8590895efc533520a27.tar.bz2
dotfiles-468a789dbc4b1928c035d8590895efc533520a27.zip
Updated file tree to match XDG base directory specification
Diffstat (limited to 'local/bin/bitwarden-dmenu')
-rwxr-xr-xlocal/bin/bitwarden-dmenu8
1 files changed, 8 insertions, 0 deletions
diff --git a/local/bin/bitwarden-dmenu b/local/bin/bitwarden-dmenu
new file mode 100755
index 0000000..68afe04
--- /dev/null
+++ b/local/bin/bitwarden-dmenu
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+domain="$(echo | dmenu -p 'Enter domain name: ')"
+
+echo | dmenu -P -p 'Enter your master password: ' |
+ (bw get password "$domain" ||
+ { notify-send -u critical 'Bad password'; exit 1; }) |
+ xclip -selection clipboard